-- Stored procedure
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[DM_ANAG_SELF_BK_eligoTitoli]
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
 	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6Mart.GETIDELAB()
	SET @TIPO_ELAB = C6Mart.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'DM_ANAG_SELF',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	TRUNCATE TABLE [C6Mart].[ANAG_SELF]
	INSERT INTO [C6Mart].[ANAG_SELF]
		(RETE
		,CODFIS
		,CODCONF
		,CTV
		,DATASOTT
		,[ID_ELAB]
		,[TIPO_ELAB])
	SELECT
		RETE
		,CODICEFISCALE
		,CODICECONTRATTO
		,CTV
		,DATADISOTTOSCRIZIONE
		,@ID_ELAB AS ID_ELAB
		,@TIPO_ELAB AS TIPO_ELAB
	FROM 
		C6Staging.SPB_CONTR_SINTESI
	WHERE isin = 'EURO00000009'
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'DM_ANAG_SELF' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'DM_ANAG_SELF'
		)
END